Page MenuHomePhabricator

Rename 'citefromid' to Citoid
Closed, ResolvedPublic

Description

The Citoid inspector does more than just cite from some ID, so let's avoid this slightly confusing name.

If we change the static name we will also need to fix on-wiki:

mwgrep "citefromid"
cswiki              MediaWiki:Guidedtour-tour-wikiedbebold.js
dewiki              MediaWiki:Guidedtour-tour-seimutig.js
enwiki              MediaWiki:Guidedtour-tour-outreachbebold.js
enwiki              MediaWiki:Guidedtour-tour-wikiedbebold.js
enwiki              MediaWiki:Guidedtour-tour-wikiedbebold2.js
enwiki              MediaWiki:Guidedtour-tour-wikiedbeboldfellows.js
test2wiki           MediaWiki:Guidedtour-tour-seimutig.js

mwgrep citefromid --module
dewiki              Module:Hilfe:VisualEditor/config
mediawikiwiki       Module:ExtensionJson

And two other extensions (Cite/VE):
https://codesearch.wmflabs.org/search/?q=citefromid&i=nope&files=&repos=

mediawikiwiki Module:ExtensionJson <- updated via bot

Event Timeline

Esanders created this task.Mar 28 2019, 3:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2019, 3:09 PM
Mvolz triaged this task as Low priority.Mar 29 2019, 12:16 PM
Mvolz added a subscriber: Mvolz.
Mvolz moved this task from Backlog to Extension on the Citoid board.Apr 1 2019, 3:51 PM
Mvolz claimed this task.Apr 2 2019, 12:40 PM

Change 500732 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/extensions/Citoid@master] [WIP] Rename 'citefromid' to 'citoid' - requires changes on wiki

https://gerrit.wikimedia.org/r/500732

Change 500843 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Cite@master] Rename 'citefromid' to 'citoid'

https://gerrit.wikimedia.org/r/500843

Change 500845 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Rename 'citefromid' to 'citoid'

https://gerrit.wikimedia.org/r/500845

CC @Catrope are these gadgets still in use?

If they are it shouldn't be that hard to make our change backwards compatible. They only use the class name oo-ui-tool-name-citefromid for attaching themselves, so we can just add that one back temporarily.

Esanders updated the task description. (Show Details)Apr 3 2019, 11:58 AM
Esanders updated the task description. (Show Details)Apr 10 2019, 11:42 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 10 2019, 11:42 AM

Change 500843 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Rename 'citefromid' to 'citoid'

https://gerrit.wikimedia.org/r/500843

Change 500845 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Rename 'citefromid' to 'citoid'

https://gerrit.wikimedia.org/r/500845

Mvolz updated the task description. (Show Details)Apr 22 2019, 12:57 PM

Change 500732 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] Rename 'citefromid' to 'citoid'

https://gerrit.wikimedia.org/r/500732

Change 506094 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/extensions/Citoid@master] Fix name of method

https://gerrit.wikimedia.org/r/506094

Lofhi added a subscriber: Lofhi.EditedMay 10 2019, 7:54 PM

Can someone explain to me if the renaming not done on TranslateWiki is normal? It took me one day to find this change on Gerrit to understand why a label from the Visual Editor had been modified... Are MediaWiki:Citoid-citefromidtool-title and MediaWiki:Citoid-citoidtool-title really duplicates?

Mvolz added a comment.May 10 2019, 8:02 PM

They've just been renamed so they can just be copied over exactly... not
sure if that's what you're asking?

Lofhi added a comment.EditedMay 10 2019, 8:11 PM

Some contributors of frwiki are confused since last Thursday (May 2) after the name change of the button to add a source. MediaWiki:Citoid-citefromidtool-title/fr was used before MediaWiki:Citoid-citoidtool-title/fr. So, for the same message system, we have two different translations.

If the first one had been renamed, this confusion could have been avoided. It's not a big deal, but several contributors asked where the button went... : it's still there. The same thing happened at least on dewiki.

Mvolz added a comment.May 10 2019, 9:37 PM

Ah, that's not ideal - I'm afraid that's perhaps an issue with
translatewiki? Unfortunately it seems that if a key is changed, it's marked
for re-translation rather than moved.

Mvolz added a comment.May 10 2019, 9:40 PM

Or perhaps we should have just refractored the existing keys in other
languages in the source...

Lofhi added a subscriber: Raymond.May 11 2019, 11:34 AM

As I said, It's not a big deal. One contributor (@Raymond) finished the missing renaming part. Apparently he had taken care of the rest and forgotten that part. So it seems to work well most of the time, just an omission! :)

There is just one problem: need to review the translations already done before the renaming (such as MediaWiki:Citoid-citoidtool-title/fr). I'll see what the translators think about that.

Updated on-wiki usages listed in description.

Thank you for your edit but you missed that one and also upstream notification which will trigger downstream dependency one day.

Please think twice before assigning an ID or page title; once set never change without conflict with external requirement.

This exercise here broke various codes and consumed more manpower than anything has been improved.

Mvolz closed this task as Resolved.Jun 19 2019, 9:17 AM